Package Details: ninja-ide-git 20210526-1

Git Clone URL: https://aur.archlinux.org/ninja-ide-git.git (read-only, click to copy)
Package Base: ninja-ide-git
Description: Cross-platform IDE focused on Python application development
Upstream URL: http://ninja-ide.org
Keywords: editor IDE python
Licenses: GPL3
Submitter: Singularity
Maintainer: Singularity
Last Packager: Singularity
Votes: 0
Popularity: 0.000000
First Submitted: 2018-03-22 14:53
Last Updated: 2021-06-28 03:32

Latest Comments

Singularity commented on 2021-06-28 01:06

Package updated. Good news is that development on Github started again.

Armag67 commented on 2021-06-01 21:04

Solved,

I had to uninstall-reinstall ninja-ide-git and then install python-jedi from regular Manjaro repository...

Armag67 commented on 2021-06-01 12:42

Hello, Since yesterday, new update (on Manjaro Linux Xfce and Python 3.9) fails with this message:

ln: impossible de créer le lien symbolique '/var/tmp/pamac-build-h2/ninja-ide-git/pkg/ninja-ide-git/usr/lib/python3.9/site-packages/ninja_ide/intellisensei/parso/python/grammar38.txt': Aucun fichier ou dossier de ce type
==> ERREUR : Une erreur s’est produite dans package().

Nota: the grammar38.txt and grammar39.txt symlinks already exists in my tree structure (/usr/lib/python3.9/site-packages/ninja_ide/intellisensei/parso/python/) since the two latest updates.

Singularity commented on 2021-01-03 07:37

Thanks, didn't see that. I pushed an update with together with other changes, more or less all which can be done on maintainer site. A pity that nobody is working on it in the recent time.

Armag67 commented on 2021-01-02 22:18

Hello,

Since Python upgrade to 3.9, Ninja IDE needs a: /usr/lib/python3.9/site-packages/ninja_ide/intellisensei/parso/python/grammar39.txt file to work.

Traceback:

Attribute Qt::AA_EnableHighDpiScaling must be set before QCoreApplication is created.
/usr/lib/python3.9/site-packages/ninja_ide/dependencies/pycodestyle.py:113: FutureWarning: Possible nested set at position 1
  EXTRANEOUS_WHITESPACE_REGEX = re.compile(r'[[({] | []}),;:]')
Traceback (most recent call last):
  File "/usr/lib/python3.9/site-packages/ninja_ide/intellisensei/parso/grammar.py", line 235, in load_grammar
    return _loaded_grammars[path]
KeyError: '/usr/lib/python3.9/site-packages/ninja_ide/intellisensei/parso/python/grammar39.txt'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.9/site-packages/ninja_ide/intellisensei/parso/grammar.py", line 238, in load_grammar
    with open(path) as f:
FileNotFoundError: [Errno 2] Aucun fichier ou dossier de ce type: '/usr/lib/python3.9/site-packages/ninja_ide/intellisensei/parso/python/grammar39.txt'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/ninja-ide-git", line 31, in <module>
    ninja_ide.setup_and_run()
  File "/usr/lib/python3.9/site-packages/ninja_ide/__init__.py", line 72, in setup_and_run
    core.run_ninja()
  File "/usr/lib/python3.9/site-packages/ninja_ide/core/core.py", line 67, in run_ninja
    gui.start_ide(app, filenames, projects_path, extra_plugins, linenos)
  File "/usr/lib/python3.9/site-packages/ninja_ide/gui/__init__.py", line 141, in start_ide
    from ninja_ide.intellisensei import python_intellisense  # noqa
  File "/usr/lib/python3.9/site-packages/ninja_ide/intellisensei/python_intellisense.py", line 123, in <module>
    PythonProvider.register()
  File "/usr/lib/python3.9/site-packages/ninja_ide/intellisensei/intellisense_registry.py", line 141, in register
    intellisense.register_provider(cls)
  File "/usr/lib/python3.9/site-packages/ninja_ide/intellisensei/intellisense_registry.py", line 81, in register_provider
    provider_object.load()
  File "/usr/lib/python3.9/site-packages/ninja_ide/intellisensei/python_intellisense.py", line 41, in load
    jedi.preload_module(module)
  File "/usr/lib/python3.9/site-packages/ninja_ide/intellisensei/jedi/api/__init__.py", line 444, in preload_module
    Script(s, 1, len(s), None).completions()
  File "/usr/lib/python3.9/site-packages/ninja_ide/intellisensei/jedi/api/__init__.py", line 97, in __init__
    self._grammar = parso.load_grammar()
  File "/usr/lib/python3.9/site-packages/ninja_ide/intellisensei/parso/grammar.py", line 249, in load_grammar
    return load_grammar(**kwargs)
  File "/usr/lib/python3.9/site-packages/ninja_ide/intellisensei/parso/grammar.py", line 245, in load_grammar
    raise NotImplementedError(message)
NotImplementedError: Python version None is currently not supported.

I tentatively made a copy of the file grammar38.txt to grammar39.txt in his directory, and it works, but if there have been any changes to the Python syntax, Ninja IDE will not work properly.